gi-gdk-3.0.23: Gdk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.EventSequence

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype EventSequence = EventSequence (ManagedPtr EventSequence)

# Exported types

newtype EventSequence Source #

Memory-managed wrapper type.

Constructors

EventSequence (ManagedPtr EventSequence) |

#### Instances

Instances details

Eq EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence Methods (==) :: EventSequence -> EventSequence -> Bool # (/=) :: EventSequence -> EventSequence -> Bool #
GBoxed EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence
TypedObject EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence Methods glibType :: IO GType Source #
ManagedPtrNewtype EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence Methods toManagedPtr :: EventSequence -> ManagedPtr EventSequence Source #
IsGValue EventSequence Source # | Convert `EventSequence` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Structs.EventSequence Methods toGValue :: EventSequence -> IO GValue Source # fromGValue :: GValue -> IO EventSequence Source #
HasParentTypes EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence
type ParentTypes EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence type ParentTypes EventSequence = '[] :: [Type]

# Methods

## Overloaded methods